
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>

drivers/scsi/qla1280.c:3124: warning: `qla1280_64bit_start_scsi' defined but not used


---

 25-akpm/drivers/scsi/qla1280.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/qla1280.c~scsi-qla1280c-warning-fix drivers/scsi/qla1280.c
--- 25/drivers/scsi/qla1280.c~scsi-qla1280c-warning-fix	2004-05-20 01:02:38.593730992 -0700
+++ 25-akpm/drivers/scsi/qla1280.c	2004-05-20 01:02:38.599730080 -0700
@@ -3119,6 +3119,7 @@ qla1280_marker(struct scsi_qla_host *ha,
  * Returns:
  *      0 = success, was able to issue command.
  */
+#ifdef QLA_64BIT_PTR
 static int
 qla1280_64bit_start_scsi(struct scsi_qla_host *ha, struct srb * sp)
 {
@@ -3381,9 +3382,8 @@ qla1280_64bit_start_scsi(struct scsi_qla
 
 	return status;
 }
+#else /* !QLA_64BIT_PTR */
 
-
-#ifndef QLA_64BIT_PTR
 /*
  * qla1280_32bit_start_scsi
  *      The start SCSI is responsible for building request packets on

_
